org.deidentifier.arx.io

## Class CSVDataOutput

- java.lang.Object
- - org.deidentifier.arx.io.CSVDataOutput

    public class CSVDataOutput
    extends java.lang.Object

Provides methods for writing CSV encoded data.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`CSVDataOutput(java.io.File file)` Instantiate.
`CSVDataOutput(java.io.File file, char delimiter)` Instantiate.
`CSVDataOutput(java.io.File file, char delimiter, char quote)` Instantiate.
`CSVDataOutput(java.io.File file, char delimiter, char quote, char escape)` Instantiate.
`CSVDataOutput(java.io.File file, char delimiter, char quote, char escape, char[] linebreak)` Instantiate.
`CSVDataOutput(java.io.File file, CSVSyntax config)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream, char delimiter)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream, char delimiter, char quote)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream, char delimiter, char quote, char escape)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream, char delimiter, char quote, char escape, char[] linebreak)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream, char delimiter, char quote, char escape, char[] linebreak, java.nio.charset.Charset charset)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream, char delimiter, char quote, char escape, char[] linebreak, int maxColumns)` Instantiate.
`CSVDataOutput(java.io.OutputStream stream, CSVSyntax config)` Instantiate.
`CSVDataOutput(java.lang.String filename)` Instantiate.
`CSVDataOutput(java.lang.String filename, char delimiter)` Instantiate.
`CSVDataOutput(java.lang.String filename, char delimiter, char quote)` Instantiate.
`CSVDataOutput(java.lang.String filename, char delimiter, char quote, char escape)` Instantiate.
`CSVDataOutput(java.lang.String filename, char delimiter, char quote, char escape, char[] linebreak)` Instantiate.
`CSVDataOutput(java.lang.String filename, CSVSyntax config)` Instantiate.
`CSVDataOutput(java.lang.String filename, CSVSyntax config, CSVOptions options)` Instantiate.
`CSVDataOutput(java.io.Writer writer, char delimiter, char quote, char escape, char[] linebreak)` Instantiates a new CSV data output.
`CSVDataOutput(java.io.Writer writer, char delimiter, char quote, char escape, char[] linebreak, CSVOptions options)` Instantiates a new CSV data output.
`CSVDataOutput(java.io.Writer writer, char delimiter, char quote, char escape, char[] linebreak, int maxColumns)` Instantiates a new CSV data output.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(java.util.Iterator<java.lang.String[]> iterator)` Write the results.
`void` `write(java.lang.String[][] hierarchy)` Write.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CSVDataOutput

    public CSVDataOutput(java.io.File file)
                  throws java.io.IOException

Instantiate.

Parameters:
  `file` - the file
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.File file,
                         char delimiter)
                  throws java.io.IOException

Instantiate.

Parameters:
  `file` - the file
  `delimiter` - the delimiter
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.File file,
                         char delimiter,
                         char quote)
                  throws java.io.IOException

Instantiate.

Parameters:
  `file` - the file
  `delimiter` - the delimiter
  `quote` - the quote
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.File file,
                         char delimiter,
                         char quote,
                         char escape)
                  throws java.io.IOException

Instantiate.

Parameters:
  `file` - the file
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.File file,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak)
                  throws java.io.IOException

Instantiate.

Parameters:
  `file` - the file
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.File file,
                         CSVSyntax config)
                  throws java.io.IOException

Instantiate.

Parameters:
  `file` - the file
  `config` - the config
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream,
                         char delimiter)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
  `delimiter` - the delimiter
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream,
                         char delimiter,
                         char quote)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
  `delimiter` - the delimiter
  `quote` - the quote
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream,
                         char delimiter,
                         char quote,
                         char escape)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak,
                         int maxColumns)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
  `maxColumns` -
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak,
                         java.nio.charset.Charset charset)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
  `charset` - to use
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.OutputStream stream,
                         CSVSyntax config)
                  throws java.io.IOException

Instantiate.

Parameters:
  `stream` - the stream
  `config` - the config
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.lang.String filename)
                  throws java.io.IOException

Instantiate.

Parameters:
  `filename` - the filename
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.lang.String filename,
                         char delimiter)
                  throws java.io.IOException

Instantiate.

Parameters:
  `filename` - the filename
  `delimiter` - the delimiter
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.lang.String filename,
                         char delimiter,
                         char quote)
                  throws java.io.IOException

Instantiate.

Parameters:
  `filename` - the filename
  `delimiter` - the delimiter
  `quote` - the quote
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.lang.String filename,
                         char delimiter,
                         char quote,
                         char escape)
                  throws java.io.IOException

Instantiate.

Parameters:
  `filename` - the filename
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.lang.String filename,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak)
                  throws java.io.IOException

Instantiate.

Parameters:
  `filename` - the filename
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.lang.String filename,
                         CSVSyntax config)
                  throws java.io.IOException

Instantiate.

Parameters:
  `filename` - the filename
  `config` - the config
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.lang.String filename,
                         CSVSyntax config,
                         CSVOptions options)
                  throws java.io.IOException

Instantiate.

Parameters:
  `filename` - the filename
  `config` - the config
  `options` - the options
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.Writer writer,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak,
                         int maxColumns)
                  throws java.io.IOException

Instantiates a new CSV data output.

Parameters:
  `writer` - the writer
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
  `maxColumns` -
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.Writer writer,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak)
                  throws java.io.IOException

Instantiates a new CSV data output.

Parameters:
  `writer` - the writer
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### CSVDataOutput

    public CSVDataOutput(java.io.Writer writer,
                         char delimiter,
                         char quote,
                         char escape,
                         char[] linebreak,
                         CSVOptions options)
                  throws java.io.IOException

Instantiates a new CSV data output.

Parameters:
  `writer` - the writer
  `delimiter` - the delimiter
  `quote` - the quote
  `escape` - the escape
  `linebreak` - the linebreak
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

### Method Detail

#### write

    public void write(java.util.Iterator<java.lang.String[]> iterator)
               throws java.io.IOException

Write the results.

Parameters:
  `iterator` - the iterator
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### write

    public void write(java.lang.String[][] hierarchy)
               throws java.io.IOException

Write.

Parameters:
  `hierarchy` - the hierarchy
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.